<?php
/*
Plugin Name: Counterize
Plugin URI: http://the-nzb.com/?p=132
Description: תוסף סטטיסטיקות בסיסי לוורדפרס המספק שלל נתונים על המתרחש בבלוג הן בצורה גרפית והן כנתוני דאטה. בנוסף התוסף מאפשר לסנן כניסות על פי כתובת איפי, משתמשים רשומים וסוגי דפדפנים. זהו תרגום לעברית של התוסף

Version: 0.53
Author: ניצן ברומר
Author URI: http://the-nzb.com
*/

/*
New in 0.53
	- By mistake (during test) commented out the exclude-function. Once again re-enabled.
	- Added the feature "top referrers" in the admin-interface
	- Added the feature to manually select amount to show in the bar-graphs, instead of default 15
	- Minor stuff, changed text, thicker bars in graphs, now "unique hits last 7 days" also shown in admin-interface, 

New in 0.52
	- More bots
	- New function called counterize_getuniquelatest7days() (Curtis)
	- Exclusion of most common images and RSS feeds (SHRIKEE)
	- Don't use the now() insert call when inserting entries. Use gmdate() instead
*/


# Returns how many entries there are in the DB.
function counterize_getamount()
{
$sql = 'SELECT COUNT(*) FROM %sCounterize';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_var($sql);
}

# Return how many unique entries there are in the DB.
function counterize_getuniqueamount()
{
$sql = 'SELECT DISTINCT IP FROM %sCounterize';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

# Returns amount of entries in the DB matching the visiting IP-address.
function counterize_getfromcurrentip()
{
$sql = 'SELECT COUNT(*) FROM %sCounterize WHERE IP = "' . $_SERVER['REMOTE_ADDR'] . '"';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_var($sql);
}

# Returns amount of hits today.
function counterize_gethitstoday()
{
$today = date("Y-m-d");
$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp >= '$today'";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_var($sql);
}

# Returns amount of hits during the last 7 days.
function counterize_getlatest7days()
{
$sevendaysago = date("Y-m-d", strtotime("-1 week"));
$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp >= '$sevendaysago'";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_var($sql);
}

# From Curtis(http://www.graymattersonline.net/)
# Returns amount of unique IP's in the last 7 days
function counterize_getuniquelatest7days()
{
$sevendaysago = date("Y-m-d", strtotime("-1 week"));
$sql = "SELECT DISTINCT IP FROM %sCounterize WHERE timestamp >= '$sevendaysago'";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

# Returns amount of unique referer-URl's
function counterize_getuniquereferers()
{
$sql = 'SELECT DISTINCT referer FROM %sCounterize';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

# Returns amount of unique browser-strings in DB.
function counterize_getuniquebrowsers()
{
$sql = 'SELECT DISTINCT useragent FROM %sCounterize';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

# Returns amount of unique URl's
function counterize_getuniqueurl()
{
$sql = 'SELECT DISTINCT url FROM %sCounterize WHERE referer != "unknown"';
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

function counterize_return_first_hit($dateformat = "j/n-Y")
{
$sql = "SELECT timestamp from %sCounterize ORDER BY id ASC LIMIT 1";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
$t = $wpdb->get_var($sql);
return date($dateformat, strtotime($t));
}

function counterize_most_visited_pages($number = 10)
{
$sql = "SELECT COUNT(url) AS antal, url FROM %sCounterize GROUP BY url ORDER BY antal DESC LIMIT $number";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
$tmp = $wpdb->get_results($sql);

$count=count($tmp);
$counter=0;
$total_amount=counterize_getamount();

if ($total_amount > 300)
        $multiply=13;
else
        $multiply=4;

?>

<table width="100%">
<tr class="alternate">
	<td width="25%"><small><strong>דף</strong></small></td>
	<td width="10%"><small><strong>מופעים</strong></small></td>
	<td width="65%"><small><strong>גרף - % מתוך כלל הדפים</strong></small></td>
</tr>


<?php
while ($counter < $count)
	{
	?>
	<tr<?php if($counter%2) { print " class=\"alternate\""; }?>>
		<td width="25%" align="right">
			<small>
			<?php echo "<a href=\"" . $tmp[$counter]->url . "\">" . $tmp[$counter]->url . "</a>"; ?>
			</small>
		</td>

		<td width="10%">
			<small> <?php echo $tmp[$counter]->antal; ?> </small>
		</td>

		<td width="65%" align="right">
			<?php $percent = sprintf("%01.0f", $tmp[$counter]->antal/$total_amount*100); ?>
			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";?>counterize_blue.png" ALT="" width="<?php echo $percent * $multiply ?>" height="8"/>
			&nbsp; <small><strong> <?php echo $percent; ?> % </strong></small>
		</td>
	</tr>
	<?php $counter++;
	}
?>
</table>

<?php
}


# New in 0.53
function counterize_most_visited_referrers($number = 10)
{
$sql = "SELECT COUNT(referer) AS antal, referer FROM %sCounterize GROUP BY referer ORDER BY antal DESC LIMIT $number";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
$tmp = $wpdb->get_results($sql);

$count=count($tmp);
$counter=0;
$total_amount=counterize_getamount();

if ($total_amount > 300)
        $multiply=9;
else
        $multiply=4;

?>
<table width="100%">
<tr class="alternate">
	<td width="25%"><small><strong>מפנה</strong></small></td>
	<td width="10%"><small><strong>מופעים</strong></small></td>
	<td width="65%"><small><strong>גרף - % מתוך סך כל המפנים</strong></small></td>
</tr>

<?php
while ($counter < $count)
	{
	?>
	<tr<?php if($counter%2) { print " class=\"alternate\""; }?>>
		<td width="25%" align="right">
			<small>
			<?php 
				# echo "<a href=\"" . get_option("siteurl") . $tmp[$counter]->referer . "\">" . $tmp[$counter]->referer . "</a>";
				echo "<a href=\"" . $tmp[$counter]->referer . "\">" . $tmp[$counter]->referer . "</a>";
			?>
			</small>
		</td>

		<td width="10%">
			<small> <?php echo $tmp[$counter]->antal; ?> </small>
		</td>

		<td width="65%" align="right">
			<?php $percent = sprintf("%01.0f", $tmp[$counter]->antal/$total_amount*100); ?>
			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";?>counterize_blue.png" ALT="" width="<?php echo $percent * $multiply ?>" height="8"/>
			&nbsp; <small><strong> <?php echo $percent; ?> % </strong></small>
		</td>
	</tr>
	<?php $counter++;
	}
?>
</table>

<?php
}








function counterize_most_visited_ips($number = 10)
{
$sql = "SELECT COUNT(IP) AS antal, IP FROM %sCounterize GROUP BY IP ORDER BY antal DESC LIMIT $number";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
$tmp = $wpdb->get_results($sql);

$count=count($tmp);
$counter=0;
$total_amount=counterize_getamount();

if ($total_amount > 300)
	$multiply=11;
else
	$multiply=4;

?>
<table width="100%">
<tr class="alternate">
	<td width="25%"><small><strong>IP</strong></small></td>
	<td width="10%"><small><strong>מופעים</strong></small></td>
	<td width="65%"><small><strong>גרף - % מתוך סך כל הכתובות</strong></small></td>
</tr>

<?php
while ($counter < $count)
	{
	?>
	<tr<?php if($counter%2) { print " class=\"alternate\""; }?>>
		<td width="25%" align="right">
			<small>
			<?php echo "<a href=\"http://ws.arin.net/cgi-bin/whois.pl?queryinput=" . $tmp[$counter]->IP . "\">" . $tmp[$counter]->IP . "</a>"; ?>
			</small>
		</td>

		<td width="10%">
			<small> <?php echo $tmp[$counter]->antal; ?></small>
		</td>

		<td width="65%" align="right">
			<?php $percent = sprintf("%01.0f", $tmp[$counter]->antal/$total_amount*100); ?>
			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";?>counterize_blue.png" ALT="" width="<?php echo $percent * $multiply ?>" height="8"/>
			&nbsp; <small><strong> <?php echo $percent; ?> % </strong></small>
		</td>
	</tr>
	<?php $counter++;
	}
?>
</table>

<?php
}

function counterize_most_used_browsers($number = 10)
{
$sql = "SELECT COUNT(useragent) AS antal, useragent FROM %sCounterize GROUP BY useragent ORDER BY antal DESC LIMIT $number";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
$tmp = $wpdb->get_results($sql);

$count=count($tmp);
$counter=0;
$total_amount=counterize_getamount();

if ($total_amount > 300)
        $multiply=9;
else
        $multiply=4;

?>
<table width="100%">
<tr class="alternate">
	<td width="35%"><small><strong>דפדפן</strong></small></td>
	<td width="10%"><small><strong>מופעים</strong></small></td>
	<td width="55%"><small><strong>גרף - % מתוך סך כל הדפדפנים</strong></small></td>
</tr>


<?php
while ($counter < $count)
	{
	?>
	<tr<?php if($counter%2) { print " class=\"alternate\""; }?>>
		<td width="35%" align="right">
			<small> <?php echo $tmp[$counter]->useragent; ?> </small>
		</td>

		<td width="10%">
			<small> <?php echo $tmp[$counter]->antal; ?> </small>
		</td>

		<td width="55%" align="right">
			<?php $percent = sprintf("%01.0f", $tmp[$counter]->antal/$total_amount*100); ?>
			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";?>counterize_blue.png" ALT="" width="<?php echo $percent * $multiply ?>" height="8"/>
			&nbsp; <small><strong> <?php echo $percent; ?> % </strong></small>
		</td>
	</tr>
	<?php $counter++;
	}
?>
</table>

<?php
}


# This is function is still not done - needs more work...
function counterize_getdailystats($day = "undef", $type = both)
{
$wpdb =& $GLOBALS['wpdb'];
$amount=counterize_getamount();

if ($day == "all")
	{
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

	for ($i=1; $i<32; $i++)
		{
		if ($i < 10)
			$sqlfire = $sql . " LIKE '%-0$i %'";
		else
			$sqlfire = $sql . " LIKE '%-$i %'";

		$container[$i] = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $container[$i];
			else if ($type == "percent")
				return sprintf("%01.0f", $container[$i]/$amount*100);
			else if ($type == "both")
				return $container[$i] . " " . sprintf("%01.0f", $container[$i]/$amount*100);
			else
				echo 'Second parameter to the function counterize_getdailystats NOT correct. Has to be "number", "percent" or "both" <br/>';

		}
	}
else if ($day == "undef")
	{
	echo "You've gotta specify a date to the function counterize_getdailystats()";
	return "failure";
	}
else if ( ! is_integer($day))
	{
	echo "You've gotta specify a correct date(read: integer!) to the function counterize_getdailystats()";
	return "failure";
	}
else if ($day < 0 || $day > 32)
	{
	echo "Come on - days only go from 1 to 31... You know that :)";
	return "failure";
	}
if (! isset($container))
	{	
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

		if ($day < 10)
			$sqlfire = $sql . " LIKE '%-0$day %'";
		else
			$sqlfire = $sql . " LIKE '%-$day %'";

			# echo "Day " . $day . " -&gt; " . $wpdb->get_var($sqlfire) . "<br/>";

			$res = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $res;
			else if ($type == "percent")
				return sprintf("%01.0f", $res/$amount*100);
			else if ($type == "both")
				return $res . " " . sprintf("%01.0f", $res/$amount*100);
			else
				echo 'Second parameter to the function counterize_getdailystats NOT correct. Has to be "number", "percent" or "both" <br/>';

	}
}

# This is function is still not done - needs more work...
function counterize_getmonthlystats($month = "undef", $type = both)
{

$wpdb =& $GLOBALS['wpdb'];
$amount=counterize_getamount();

if ($month == "all")
	{
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

	for ($i=1; $i<13; $i++)
		{
		if ($i < 10)
			$sqlfire = $sql . " LIKE '%-0$i-%'";
		else
			$sqlfire = $sql . " LIKE '%-$i-%'";

		$container[$i] = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $container[$i];
			else if ($type == "percent")
				return sprintf("%01.0f", $container[$i]/$amount*100);
			else if ($type == "both")
				return $container[$i] . " " . sprintf("%01.0f", $container[$i]/$amount*100);
			else
				echo 'Second parameter to the function counterize_getdailystats NOT correct. Has to be "number", "percent" or "both" <br/>';

		}
	}
else if ($month == "undef")
	{
	echo "You've gotta specify a month to the function counterize_getmonthlystats()";
	return "failure";
	}
else if ( ! is_integer($month))
	{
	echo "You've gotta specify a correct month(read: integer!) to the function counterize_getmonthlystats()";
	return "failure";
	}
else if ($month < 0 || $month > 13)
	{
	echo "Come on - months only go from 1 to 12... You know that :)";
	return "failure";
	}
if (! isset($container))
	{	
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

		if ($month < 10)
			$sqlfire = $sql . " LIKE '%-0$month-%'";
		else
			$sqlfire = $sql . " LIKE '%-$month-%'";

			$res = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $res;
			else if ($type == "percent")
				return sprintf("%01.0f", $res/$amount*100);
			else if ($type == "both")
				return $res . " " . sprintf("%01.0f", $res/$amount*100);
			else
				echo 'Second parameter to the function counterize_getdailystats NOT correct. Has to be "number", "percent" or "both" <br/>';

	}
}

# This is function is still not done - needs more work...
function counterize_gethourlystats($hour = "undef", $type = both)
{

$wpdb =& $GLOBALS['wpdb'];
$amount=counterize_getamount();

if ($hour == "all")
	{
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

	for ($i=0; $i<24; $i++)
		{
		if ($i < 10)
			$sqlfire = $sql . " LIKE '% 0$i:%'";
		else
			$sqlfire = $sql . " LIKE '% $i:%'";

		$container[$i] = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $container[$i];
			else if ($type == "percent")
				return sprintf("%01.0f", $container[$i]/$amount*100);
			else if ($type == "both")
				return $container[$i] . " " . sprintf("%01.0f", $container[$i]/$amount*100);
			else
				echo 'Second parameter to the function counterize_gethourlystats NOT correct. Has to be "number", "percent" or "both" <br/>';

		}
	}
else if ($hour == "undef")
	{
	echo "You've gotta specify an hour to the function counterize_gethourlystats()";
	return "failure";
	}
else if ( ! is_integer($hour))
	{
	echo "You've gotta specify a correct hour(read: integer!) to the function counterize_gethourlystats()";
	return "failure";
	}
else if ($hour < 0 || $hour > 24)
	{
	echo "Come on - hours only go from 1 to 24... You know that :)";
	return "failure";
	}
if (! isset($container))
	{	
	$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);

		if ($hour < 10)
			$sqlfire = $sql . "  LIKE '% 0$hour:%'";
		else
			$sqlfire = $sql . " LIKE '% $hour:%'";

			$res = $wpdb->get_var($sqlfire);

			if ($type == "number")
				return $res;
			else if ($type == "percent")
				return sprintf("%01.0f", $res/$amount*100);
			else if ($type == "both")
				return $res . " " . sprintf("%01.0f", $res/$amount*100);
			else
				echo 'Second parameter to the function counterize_gethourlystats NOT correct. Has to be "number", "percent" or "both" <br/>';

	}
}

# Returns amount of unique hits today
function counterize_getuniquehitstoday()
{
$today = date("Y-m-d");
$sql = "SELECT DISTINCT ip FROM %sCounterize WHERE timestamp >= '$today'";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return count($wpdb->get_results($sql));
}

# Returns amount of hits today, from the visiting IP
function counterize_gethitstodayfromcurrentip()
{
$today = date("Y-m-d");
$sql = "SELECT COUNT(*) FROM %sCounterize WHERE timestamp >= '$today' AND IP = '" . $_SERVER['REMOTE_ADDR'] . "'";
$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_var($sql);
}

# Fetches entries in DB
function counterize_getentries()
{
$amount = get_option('counterize_amount');
$sql = 'SELECT id FROM %sCounterize ORDER BY timestamp DESC';

if ($amount == "")
	$sql .= " LIMIT 50";
else if ($amount != 0)
	$sql .= " LIMIT $amount";

$sql = sprintf($sql, $GLOBALS['table_prefix']);
$wpdb =& $GLOBALS['wpdb'];
return $wpdb->get_col($sql);
}

# Fetch information matching ID in DB.
function counterize_getinformation($number = 0)
{
if ($number == 0)
	{
	echo "doh! Incorrect use of function <strong>counterize_getinformation()</strong>...";
	return 0;
	}
else
      {
        $wpdb =& $GLOBALS['wpdb'];
        $sql = "SELECT * FROM %sCounterize";
        $sql = sprintf($sql, $GLOBALS['table_prefix']);
        $sql .= " WHERE id=$number";
        return $wpdb->get_row($sql,ARRAY_A);
	}
}
	
function get_bots_where_clause()
{
	$botarray = file(dirname(__FILE__)."/botlist.txt");
	$first = true;
	$where = "WHERE ";
	foreach ($botarray as $bot)
	{
		$bot=chop($bot);
		$bot="CONVERT( _utf8 \"%$bot%\" USING latin1)";
		if ($first)
		{
			$where .= " `useragent` like $bot";
			$first = false;
		}
		else
		{
			$where .= " or `useragent` like $bot";
		}
	}
	return $where;
}


function clean_bots_from_db()
{
	$sql = 'DELETE FROM `%sCounterize` ';
	$sql = sprintf($sql, $GLOBALS['table_prefix']);
	$sql .= get_bots_where_clause();
	$wpdb =& $GLOBALS['wpdb'];
	$wpdb->query($sql);
}

function count_bots_in_db()
{
	$sql = 'SELECT COUNT(*) FROM `%sCounterize` ';
	$sql = sprintf($sql, $GLOBALS['table_prefix']);
	$sql .= get_bots_where_clause();
	$wpdb =& $GLOBALS['wpdb'];
	$ar = $wpdb->get_row($sql,ARRAY_N);
	return $ar[0];
}


# Append information to DB
function counterize_add()
{

# Set to unknown, if we're unable to extract information below.
$referer = $remoteaddr = $useragent = $requesturl = 'unknown';
 if ($_SERVER['REMOTE_ADDR'])
	$remoteaddr = $_SERVER['REMOTE_ADDR'];
 if ($_SERVER['HTTP_USER_AGENT'])
	$useragent = $_SERVER['HTTP_USER_AGENT'];
 if ($_SERVER['REQUEST_URI'])
	$requesturl = $_SERVER['REQUEST_URI'];
 if ($_SERVER['HTTP_REFERER'])
	$referer = $_SERVER['HTTP_REFERER'];

# Check to see if we really want to insert the entry...
$checkval=0;
$botarray = file(dirname(__FILE__)."/botlist.txt");

# Run through bot-array and see if there's anything we don't like...
foreach ($botarray as $entry)
{
	$entry = chop($entry);
	if (stristr($useragent, $entry))
	{
		return;
	}
}

# From SHRIKEE, don't count RSS and other stuff...
# Exclude files from being counted
if ($checkval == 0)
{
// Exclude RSS feeds (Both with and without permalinks)
// Stating just feed would make it impossible to name a page or post 'feed'
if (stristr($requesturl, "feed/"))
	$checkval=1;
if (stristr($requesturl, "feed="))
	$checkval=1;
// Exclude files which annoying browsers like safari and opera request on each page
elseif (stristr($requesturl, "robots.txt"))
	$checkval=1;
elseif (stristr($requesturl, "favicon.ico"))
	$checkval=1;

// Exclude any admin or core files
elseif (stristr($requesturl, "wp-includes/"))
	$checkval=1;
elseif (stristr($requesturl, "wp-admin/"))
	$checkval=1;
elseif (stristr($requesturl, "wp-content/"))
	$checkval=1;
}

// more extensions?
elseif (stristr($requesturl, ".jpg"))
	$checkval=1;
elseif (stristr($requesturl, ".bmp"))
	$checkval=1;
elseif (stristr($requesturl, ".png"))
	$checkval=1;
elseif (stristr($requesturl, ".gif"))
	$checkval=1;


# If not found anything unwanted yet, check to see if it's on the excludelist...
if ($checkval == 0)
	{
	$tmp=get_option('counterize_excluded');
	$excludelist = preg_replace('/\s\s+/', ' ', $tmp);

	$tmp_array = explode(" ", $excludelist);
	$count=count($tmp_array);

	if ($excludelist != "" && $excludelist != " ")
		{
		for ($i=0; $i<$count; $i++)
			{
			if (strpos($remoteaddr, $tmp_array[$i]) === FALSE)
				{
				# Coming up...
				}
			else
				{
				# IP found on exclude-list - we don't want it!
				$checkval=1;
				}
			}
		}
	}

# DISABLED: This functionality is replaced with the admin functionality
#           to enable/disable counting of certain users...
# 
# let's check it is a logged in user.
# If he's logged in, we don't count him.
if ($checkval == 0)
{
$excluded_users=explode(",",get_option('counterize_excluded_users'));
global $user_ID;
get_currentuserinfo();
$tmp=count($excluded_users);
if($user_ID != "" && $user_ID != " " && in_array($user_ID,$excluded_users))
	$checkval=1;
else
	$checkval=0;
}

# If checkval is still 0, then yes - we want to insert it...
if ($checkval == 0)
	{
	# Replace %20's(spaces) in strings with a white-space
	# Man, someone should create a better checking-module... *sigh*
	$requesturl = str_replace("%20", " ", $requesturl);
	$referer = str_replace("%20", " ", $referer);

	# DISABLED - Use the blog timestamp, not the MySQL now() call...
	$timestamp = gmdate("Y-m-d H:i:s",time() + ( get_option('gmt_offset') * 60 * 60 ));

	# Readyyyy, aaaiimmmmm
	$wpdb =& $GLOBALS['wpdb'];
	$sql = "INSERT INTO %sCounterize (IP, timestamp, url, referer, useragent) VALUES (";
	$sql = sprintf($sql, $GLOBALS['table_prefix']);
	$sql .= "'" . $remoteaddr . "',";
# 	$sql .= "now(), '";
 	$sql .= "'" . $timestamp . "', '";
	$sql .= $requesturl . "', '";
 	$sql .= $referer . "', '";
	$sql .= $useragent . "')";

	# ...FIRE!
	$results = $wpdb->query($sql);
	}

# Nope, we don't want the text. The IP is in the excluded hosts.
else
	{
	return 42;
	}

}

function display_daily_statistics()
{
if (counterize_getamount() > 0)
{?>
<table width="100%">
	<tr>
	<?php
		for ($i=1; $i < 32; $i++)
			{
			$temp = counterize_getdailystats($i, percent);
			$temp2 = counterize_getdailystats($i, number);
			echo "<td width=\"3%\"";
			if($i%2) { print "class=\"alternate\""; }
			echo " align=\"center\" valign=\"bottom\"><small>";
			echo $temp2;			
			?> <br/> 
			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";
			if ($temp < 2)
				echo "counterize_red.png";
			else if ($temp == 2)
				echo "counterize_yellow.png";
			else
				echo "counterize_green.png";
			?>" width="8" alt="" align="bottom" height="
			<?php 
			# Do some crappy stuff, so the graphs won't be overwized with little data in the database...
				if (counterize_getamount() < 1000)
					echo $temp+3;
				else
					echo $temp*10+3;
			?>"/>
			<?php
			echo "<br/>$temp %</small></td>";
			}
	?>
	</tr>
	<tr>
	<?php
		for ($i=1; $i < 32; $i++)
			{
			echo "<td width=\"3%\"";
			if($i%2) { print "class=\"alternate\""; }
			echo " align=\"center\"><small><strong>$i</strong></small></td>";
			}
	?>
</tr>
</table>
<?php
}
else
	echo "בשביל כבוד, צריך לעבוד - אין כניסות ולכן, אין נתונים";
}

function display_monthly_statistics()
{
if (counterize_getamount() > 0)
{?>

<table width="100%"><tr>
	<?php
		for ($i=1; $i < 13; $i++)
			{
			$temp = counterize_getmonthlystats($i, percent);
			$temp2 = counterize_getmonthlystats($i, number);
			echo "<td width=\"8%\"";
			if($i%2) { print "class=\"alternate\""; }
			echo " align=\"center\" valign=\"bottom\"><small>" . $temp2;
			?> <br/>

			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";
			if ($temp < 5)
				echo "counterize_red.png";
			else if ($temp >= 5 && $temp < 8)
				echo "counterize_yellow.png";
			else
				echo "counterize_green.png";
			?>" width="20" alt="" align="bottom" height="
			<?php 
			# Do some crappy stuff, so the graphs won't be overwized with little data in the database...
				if (counterize_getamount() < 1000)
					echo $temp+3;
				else
					echo $temp*3+3;
			?>"/>
			<?php
			echo "<br/>$temp %</small></td>";
			}
	?>
</tr><tr>
<td width="8%" class="alternate" align="center"><small><strong>Jan</strong></small></td>
<td width="8%" align="center"><small><strong>Feb</strong></small></td>
<td width="8%" class="alternate" align="center"><small><strong>Mar</strong></small></td>
<td width="8%" align="center"><small><strong>Apr</strong></small></td>
<td width="8%" class="alternate" align="center"><small><strong>May</strong></small></td>
<td width="8%" align="center"><small><strong>Jun</strong></small></td>
<td width="8%" class="alternate" align="center"><small><strong>Jul</strong></small></td>
<td width="8%" align="center"><small><strong>Aug</strong></small></td>
<td width="8%" class="alternate" align="center"><small><strong>Sep</strong></small></td>
<td width="8%" align="center"><small><strong>Oct</strong></small></td>
<td width="8%" class="alternate" align="center"><small><strong>Nov</strong></small></td>
<td width="8%" align="center"><small><strong>Dec</strong></small></td>

</tr></table>
<?php
}
else
	echo "בשביל כבוד, צריך לעבוד - אין כניסות ולכן, אין נתונים";
}


function display_hourly_statistics()
{
if (counterize_getamount() > 0)
{?>

<table width="100%">
	<tr>
	<?php
		for ($i=0; $i < 24; $i++)
			{
			$temp = counterize_gethourlystats($i, percent);
			$temp2 = counterize_gethourlystats($i, number);
			echo "<td width=\"4%\" align=\"center\"";
			if($i%2) { print "class=\"alternate\""; }
			echo "valign=\"bottom\"><small>";
			echo $temp2;
			?> <br/>

			<IMG SRC="<?php echo get_option("siteurl") . "/wp-content/plugins/";
			if ($temp < 2)
				echo "counterize_red.png";
			else if ($temp >= 2 && $temp < 4)
				echo "counterize_yellow.png";
			else
				echo "counterize_green.png";
			?>" width="12" alt="" align="bottom" height="

			<?php 
			# Do some crappy stuff, so the graphs won't be overwized with little data in the database...
				if (counterize_getamount() < 1000)
					echo $temp+3;
				else
					echo $temp*10+3;
			?>"/>

			<?php
			echo "<br/>$temp %</small></td>";

			}
	?>
	</tr>
<tr>
	<?php
		for ($i=0; $i < 24; $i++)
			{
			echo "<td width=\"4%\"";
			if($i%2) { print "class=\"alternate\""; }
			echo " align=\"center\"><small>" . $i . "-" . ++$i . "</small></td>";
			$i--;
			}
	?>
</tr>
</table>
<?php
}
else
	echo "בשביל כבוד, צריך לעבוד - אין כניסות ולכן, אין נתונים";

}



# Add a sub-menu to the "manage"-page.
function AddCounterizeManagePage()
{
# add_management_page(__("Counterize"), __('Counterize'), 1, 'counterize.php');
add_management_page(__("סטטיסטיקות"), __('סטטיסטיקות'), 1, __FILE__, 'counterize_manage_page');
}


# Small info on DashBoard-page
function Counterize_Admin_Footer()
{
      $admin = dirname($_SERVER['SCRIPT_FILENAME']);
      $admin = substr($admin, strrpos($admin, '/')+1);
	$count = counterize_getamount();
	$unique = counterize_getuniqueamount();
	$todaycount = counterize_gethitstoday();
	$todayunique = counterize_getuniquehitstoday();
        if ($admin == 'wp-admin' && basename($_SERVER['SCRIPT_FILENAME']) == 'index.php')
        {
		$content = "<h3>" . _('מצב כניסות') . " <a href='edit.php?page=counterize.php'>&raquo;</a> </h3>";
		$content .= _('כולל: ') . '<strong>' . $count . '</strong> ' . _('כניסות ו ') . '<strong>' . $unique . '</strong>' . _(' משתמשים.');
		$content .= _('<p>היום: ') . '<strong>' . $todaycount . '</strong> ' . _('כניסות ו ') . '<strong>' . $todayunique . '</strong>' . _(' משתמשים.</p>');

print ' <script language="javascript" type="text/javascript"> var ele = document.getElementById("zeitgeist");
if (ele)
{
        var div = document.createElement("DIV");
        div.innerHTML = "'.$content.'";
        ele.appendChild(div);
} </script> ';
	}
}


# Used for first-time initialization - create table if not present...
function Counterize_Install()
{ 
	update_option('counterize_logbots', "כבוי");

        $pre = $GLOBALS['table_prefix'];
        $wpdb =& $GLOBALS['wpdb'];

        $sql = 'SHOW TABLES LIKE \'%sCounterize\'';
        $sql = sprintf($sql, $pre);
        $results = $wpdb->query($sql);
		
  	  # Nope, it's not there - let's create it, shall we?
        if ($results == 0)
        {
                $sql = "
create table %sCounterize
(
        id integer not null auto_increment,
        IP varchar(16) not null default 'unknown',
	timestamp datetime not null default 'now()',
	url varchar(255) not null default 'unknown',
	referer varchar(255) not null default 'unknown',
        useragent text,
        primary key(id)
)
";
        $sql = sprintf($sql, $pre);
        $results = $wpdb->query($sql);
        }

}


# Do the installation stuff, if the plugin is marked to be activated...
$install = (basename($_SERVER['SCRIPT_NAME']) == 'plugins.php' && isset($_GET['activate']));;
if ($install)
{
Counterize_Install();
}


function counterize_manage_page()
{
?><script language="javascript" type="text/javascript">
	function conf(url)
	{
		if (confirm('<?php _e('האם למחוק רשומה זו?'); ?>'))
		{
			self.location.href = url;
		}
	}
</script> 
<?php
# For the "amount-to-show"-administration
if (isset($_POST['adm']))
{
?>
	<div id="message" class="updated fade"><p>
<?php
	if (is_numeric($_POST['amount']))
		{
        	update_option('counterize_amount', (int) $_POST['amount']);
                _e('<font color="red">מספר הרשומות עודכן...</font>');
		}
	else
		echo "<strong>וממתי </strong> " . $_POST['amount'] . " מוגדר כמספר?";
?>
</p></div>
        	<?php
}


# For the "graph-bars"-administration
if (isset($_POST['adm_bars']))
{
?>
	<div id="message" class="updated fade"><p>
<?php
	if (is_numeric($_POST['amount2']))
		{
        	update_option('counterize_amount2', (int) $_POST['amount2']);
                _e('<font color="red">מספר הרשומות עודכן...</font>');
		}
	else
		echo "<strong>וממתי </strong> " . $_POST['amount2'] . " מוגדר כמספר?";
?>
</p></div>
        	<?php
}




# For the zap-an-entry-option
if (isset($_GET['kill']))
{
?>
	<div id="message" class="updated fade"><p>
		להתראות - נמחקה רשומה מספר: <strong><u><?php echo $_GET['kill']; ?></u></strong>.
			<?php
			# Ready, aim, fire!
			$sql = 'DELETE FROM %sCounterize WHERE ID="' . $_GET['kill'] . '"';
			$sql = sprintf($sql, $GLOBALS['table_prefix']);
			$wpdb =& $GLOBALS['wpdb'];
			$num = $wpdb->query($sql);
			?>
	</p></div>
        
<?php
}



# For the log-bot enable/disable option
if (isset($_POST['bot']))
{
?>
	<div id="message" class="updated fade"><p>
<?php
$status=get_option('counterize_logbots');
	if ($status == "פועל")
		{
		update_option('counterize_logbots', "כבוי");
                _e('<font color="red">מעקב בוטים <strong>כבוי!</strong></font>');
		}
	else
		{
		update_option('counterize_logbots', "פועל");
                _e('<font color="red">מעקב בוטים <strong>מופעל!</strong></font>');
		}
?>
</p></div>
        	<?php
}


# clean bots from database
if (isset($_POST['clean_bots']))
{
?>
	<div id="message" class="updated fade"><p>
		<?php
		if ($_POST['check'] == "logcheck")
		{
			clean_bots_from_db();
			echo "כל המטרות הושמדו";
		}
		else
			echo "על מנת לאשר יש לסמן את תיבת הסימון! הרובוטים עדיין שורצים בבסיס הנתונים!";
		?>
	</p></div>
        	<?php
}


# For the flush DB option
if (isset($_POST['flush']))
{
?>
	<div id="message" class="updated fade"><p>
		<?php
		if ($_POST['check'] == "logcheck")
			{
			# Ready, aim, fire!
			$sql = 'DELETE FROM %sCounterize';
			$sql = sprintf($sql, $GLOBALS['table_prefix']);
			$wpdb =& $GLOBALS['wpdb'];
			$num = $wpdb->query($sql);
	        	echo "<font color=\"red\">מסד הנתונים <strong>הושמד!</strong> - זהו, נעלם, אין יותר, נגוז! נמחקו: (<strong><u>$num</u></strong> רשומות!)... </font>";
		}
	else
		echo "על מנת להבטיח שהמחיקה אכן מכוונת - חובה לסמן את תיבת הסימון - מסד הנתונים <strong><u>לא</u></strong> הושמד!";
		?>
	</p></div>
        	<?php
}


# For excluding IP's
if (isset($_POST['adm2']))
{
?>
	<div id="message" class="updated fade"><p>
<?php
	if (is_string($_POST['excludelist']))
		{
        	update_option('counterize_excluded', $_POST['excludelist']);
                _e('<font color="red">Excludelist-Settings updated...</font>');
		}
	else
		echo "<font color=\"red\"><strong>What the f*ck?!?</strong> " . $_POST['excludelist'] . " is not a valid string...</font>";
?>
</p></div>
        	<?php
}

# For excluding Users
if (isset($_POST['adm3']))
{
?>
	<div id="message" class="updated fade"><p>
<?php
	if(!empty($_POST['excluded_users'])){ $excluded_users = join($_POST['excluded_users'],','); }
	update_option('counterize_excluded_users', $excluded_users);
	_e('Excluded users saved. Current number of excluded users: '.count($_POST['excluded_users']));
?>
	</p></div>
<?php
}

# Get info from database
$excludelist=get_option('counterize_excluded');
$excluded_users=explode(",",get_option('counterize_excluded_users'));
$amount=get_option('counterize_amount');
$amount2=get_option('counterize_amount2');
?>

<div class="wrap">

	<h2><?php _e('הגדרות התוסף');?></h2>
        <table width="100%" cellpadding="3" cellspacing="3" class="editform">
	<tr class="alternate">
                <td width="70%" colspan="2">
	<?php
	echo "כמות הרשומות שיוצגו בתחתית העמוד. כרגע:  ";
		if ($amount == false)
			echo " <strong>0</strong>";
		else
			echo "<strong>$amount</strong>";
	?>
<br/>
<small><strong>0</strong> כדי לראות את כל הרשומות, (<strong>מאוד</strong> איטי כשיש הרבה רשומות...)</small>
</td>
                <td width="30%">
        	<form action="" method="post">
                <input type="text" value="<?php print $amount; ?>" name="amount" size="5" />
		<input type="submit" name="adm" value="<?php _e('שמור הגדרות'); ?>"/>
		</form>
		</td>		
        </tr>


<?php # new in 0.53 ?>

        <tr>
                <td width="70%" colspan="2">
	<?php
	echo "מספר שורות שיוצגו בגרפי 'XX הגדולים' - כרגע: ";
		if ($amount2 == false)
			echo " <strong>לא מוגדר</strong> <small>(5 כברירת מחדל)</small>";
		else
			echo "<strong>$amount2</strong>";
	?>
</td>
                <td width="30%">
        	<form action="" method="post">
                <input type="text" value="<?php print $amount2; ?>" name="amount2" size="5" />
		<input type="submit" name="adm_bars" value="<?php _e('שמור הגדרות'); ?>"/>
		</form>
		</td>		
        </tr>





	<tr class="alternate">
		<td width="70%" colspan="2">
		<?php echo " הפעלה / כיבוי של ספירת  <a href=\"http://en.wikipedia.org/wiki/Internet_bot\">בוטים</a> במסד הנתונים של מונה הכניסות. כרגע:";
			echo "<strong>" . get_option('counterize_logbots') . "</strong>";
		?>
		</td>
		<td width="30%">
		<form action="" method="post" >
		<?php
		if (get_option('counterize_logbots') == "פועל")
			echo "<input type=\"submit\" name=\"bot\" value=\"הפסק לספור בוטים\" />";
		else
			echo "<input type=\"submit\" name=\"bot\" value=\"התחל לספור בוטים\" />";
		?>
		<input name="check" type=checkbox value="logcheck" />
		<input type="submit" name="clean_bots" value="השמד בוטים (<?php echo count_bots_in_db();?>)" />
		</form>
		</td>
	</tr>

	<tr>
		<td width="70%" colspan="2">
			<strong>השמד</strong> את מסד הנתונים של המונה &nbsp; (<small><font color="red">אזהרה:</font> זה אומר למחוק את <strong>כל</strong> הרשומות במסד הנתונים <strong>וגם</strong> את כל הסטטיסטיקות</small> )
		</td>
		<td width="30%">
		<form action="" method="post">
		<input name="check" type=checkbox value="logcheck" />
		<input type="submit" name="flush" value="השמד נתונים!" />
		</form>
		</td>
	</tr>	

        </table>
</div>

<div class="wrap">
	<h2><?php _e('רשומות להתעלמות');?></h2>
        <form action="" method="post">
        <table width="100%" cellpadding="3" cellspacing="3" class="editform">
        <tr>
                <td width="30%" scope="row">
	<?php
	echo "<p>כתובות IP שלא יספרו. כרגע:  </p>";
	echo "<p><small>( יש להקליד כתובות IP להתעלמות, מופרדות ברווחים)</small></p>";
	?>
</td>
                <td width="50%">
		<textarea style="font-size: 1em;" cols="50" rows="3" name="excludelist"><?php print $excludelist; ?></textarea>
                </td>
                <td width="20%">
        	<input type="submit" name="adm2" value="<?php _e('שמור הגדרות'); ?>"/>
		</td>		
        </tr>
        </table>
	</form>

	<form action="" method="post">
	<table width="100%" cellpadding="3" cellspacing="3" class="editform">
	<tr>
	   <td width="30%" scope="row">
		<p><?php _e('בחירת משתמשים רשומים שכניסתם לא תיספר:'); ?></p>
		<p><small><?php _e('( לבחירת מספר רשומות ניתן להשתמש במקש ה CTRL )'); ?></small></p>
	   </td>
	   <td width="30%">
		<?php 
		  $wpdb =& $GLOBALS['wpdb'];
		  $sql = "SELECT * FROM $wpdb->users";
		  $users = $wpdb->get_results($sql); 
		?>
	   	<select name="excluded_users[]" multiple size="4">
		  <?php foreach ($users as $user){ ?>
		  <option value="<?php echo $user->ID; ?>" <?php if(in_array($user->ID,$excluded_users)){ echo "selected"; } ?>><?php echo $user->display_name."&nbsp;&nbsp;&nbsp;[".$user->user_login."]"; ?>
		  <?php } ?>
		</select>
	  </td>
	  <td width="20%">
		<table>
		  <script language="JavaScript">
		  function selectAll(form) {
		    <?php for($i=0; $i<count($users); $i++){
		    echo "form.elements[0].options[$i].selected=true;";
		    } ?>
		  }
		  function selectNone(form) {
		    <?php for($i=0; $i<count($users); $i++){
		    echo "form.elements[0].options[$i].selected=false;";
		    } ?>
		  }
		  </script>
		  <tr><td><input type="button" value="<- הכל ->" onClick="selectAll(this.form)"></td></tr>
		  <tr><td><input type="button" value="<- ללא ->" onClick="selectNone(this.form)"></td></tr>
		  <tr><td><input type="reset"  value="<- אפס ->"></td></tr>
		</table>
	   </td>
	   <td width="20%">
		<input type="submit" name="adm3" value="<?php _e('שמור הגדרות'); ?>"/>
	   </td>
	</tr>
	</table>
	</form>
</div>


<div class="wrap">
	<h2><?php _e('מצב כניסות');?></h2>
<table width="100%" cellpadding="3" cellspacing="3">
	<tr>
		<td scope="col" width="15%" align="center">
			כל הכניסות: <p><strong><FONT SIZE="+2"><?php echo counterize_getamount(); ?></FONT></strong></p><br/>
		</td>
		<td scope="col" width="15%" align="center">
			משתמשים: <p><strong><FONT SIZE="+2"><?php echo counterize_getuniqueamount(); ?></FONT></strong></p><br/>
		</td>
		<td scope="col" width="15%" align="center">
			כניסות, היום: <p><strong><FONT SIZE="+2"><?php echo counterize_gethitstoday(); ?></FONT></strong></p><br/>
		</td>
		<td scope="col" width="20%" align="center">
			משתמשים, היום: <p><strong><FONT SIZE="+2"><?php echo counterize_getuniquehitstoday(); ?></FONT></strong></p><br/>
		</td>
		<td scope="col" width="15%" align="center">
			כניסות, 7 ימים אחרונים: <p><strong><FONT SIZE="+2"><?php echo counterize_getlatest7days(); ?></FONT></strong></p><br/>
		</td>
		<td scope="col" width="20%" align="center">
			משתמשים, 7 ימים אחרונים: <p><strong><FONT SIZE="+2"><?php echo counterize_getuniquelatest7days(); ?></FONT></strong></p><br/>
		</td>

	</tr>
</table>
</div>

<?php
# Amount to pass as option to the graphs...
$amount2=get_option('counterize_amount2');
if ($amount2 == "" || $amount2 == " ")
	$amount2=5;
?>

<div class="wrap">
	<h2><?php _e('כניסות על פי יום בחודש');?></h2>
	<?php display_daily_statistics(); ?>
</div>


<div class="wrap">
	<h2><?php _e('כניסות על פי חודש ');?></h2>
	<?php display_monthly_statistics(); ?>
</div>

<div class="wrap">
	<h2><?php _e('כניסות על פי התפלגות לשעות היום');?></h2>
	<?php display_hourly_statistics(); ?>
</div>

<div class="wrap">
	<h2><?php echo "גרף: $amount2 הדפים הנצפים ביותר";?></h2>
	<center> <?php counterize_most_visited_pages($amount2); ?> </center>
</div>

<div class="wrap">
	<h2><?php Echo "גרף: $amount2 כתובות הIP שביקרו הכי הרבה";?></h2>
	<center> <?php counterize_most_visited_IPs($amount2); ?> </center>
</div>


<div class="wrap">
	<h2><?php echo "גרף: $amount2 המפנים העיקריים";?></h2>
	<center> <?php counterize_most_visited_referrers($amount2); ?> </center>
</div>


<div class="wrap">
	<h2><?php echo "גרף: $amount2 הדפדפנים הנצפים ביותר";?></h2>
	<center> <?php counterize_most_used_browsers($amount2); ?> </center>
</div>



<div class="wrap">

<?php

if ($amount == "")
	{
	$howmany = "50 כניסות אחרונות";
	$amount=50;
	}
else if ($amount != 0 && $amount != "")
	$howmany = ' ' . $amount . ' כניסות אחרונות ';
else
	$howmany = "כל הכניסות";

?>
	<h2>
	<?php echo $howmany; ?>
	</h2>

		<?php	
                $entries = counterize_getentries();
                $num=count($entries);
          if ($num > 0)
                {?>
		<table width="100%" cellpadding="3" cellspacing="3">
		<tr class="alternate">
		<td scope="col" width="6%"><strong>מזהה</strong></td>
		<td scope="col" width="10%"><strong>IP</strong></td>
		<td scope="col" width="14%"><strong>זמן</strong></td>
		<td scope="col" width="20%"><strong>דף נצפה</strong></td>
		<td scope="col" width="20%"><strong>מפנה</strong></td>
		<td scope="col" width="25%"><strong>סוג דפדפן</strong></td>
		<td scope="col" width="5%"><strong>מחק</strong></td>
		</tr>
		
		<?php
		for ($i = 0; $num > $i; $i++)
                        {
				#Get the row we're currently at
				$temp = counterize_getinformation($entries[$i]);
                        ?>
        			<tr <?php if($i%2) { print "class=\"alternate\""; } ?>>
				<td scope="col" width="6%"><small><?php echo $temp['id']; ?></small> </td>
				<td scope="col" width="10%"><small><?php echo "<a href=\"http://ws.arin.net/cgi-bin/whois.pl?queryinput=" . $temp['IP'] . "\">" . $temp['IP'] . "</a>"; ?></small> </td>
				<td scope="col" width="14%"><small><?php echo $temp['timestamp']; ?> </small></td>
				<td scope="col" width="25%" align="left"><small><?php echo "<a href=\"" . $temp['url'] . "\">" . wordwrap($temp['url'], 30, "\n", 1); ?> </a></small></td>
				<td scope="col" width="20%" align="left"><small>
				<?php
				if ($temp['referer'] != "unknown")
					echo "<a href=\"" . $temp['referer'] . "\">" . wordwrap($temp['referer'], 30, "\n", 1) . "</a>";
				else
					echo wordwrap($temp['referer'], 30, "\n", 1);
				?>	
				</small></td>
				<left>
				<td scope="col" width="25%" align="left"><small><?php echo wordwrap($temp['useragent'], 30, "\n", 1); ?></small> </td>
				<td scope="col" width="5%">
				</left>
				<center>
				<a href="javascript:conf('edit.php?page=counterize.php&amp;kill=<?php echo $temp['id']; ?>');">
					<font color="red" size="+2">X</font>
				</a>
				</center>
				</td>
<?php                      }
		_e('</tr></table>');
		}
		else
			_e('עדיין אין כניסות, ולכן עדיין אין נתונים. יש להפעיל את הפלאגין ולתת לו לעבוד<p>אם יש שאלות לגבי הפעלת התוסף ניתן לגשת אל <a href="http://the-nzb.com/?p=132">דף הבית של הפרוייקט</a>.</p>');
		?>
</div>

<div class="wrap">
<strong>צריך עזרה?</strong> גש אל <a href="http://the-nzb.com/?p=132">דף הפרוייקט</a> או בוא לשאול <a href="http://groups.google.com/group/wpheb">בקבוצה העברית של וורדפרס</a> - אולי אחרים נתקלו באותה הבעיה...
</div>

<?php
}

# Create API hook instead of placing code in the header.php-file
add_action('wp_head', 'counterize_add', 1);

# Set it up... - add to Dashboard and options-page.
add_action('admin_footer', 'Counterize_Admin_Footer');
add_action('admin_menu', 'AddCounterizeManagePage');
?>
